#!/bin/bash
if [ -z "$1" ]; then
    echo "Erreur : Veuillez spécifier un nom de dossier de livre à mettre à jour." >&2
    exit 1
fi
echo "mise à jour du dossier $1 sans modifier les contenus Org"

dossier=$1


if ! [ -d $dossier ]; then
    echo "le dossier $dossier n'existe pas, oh noes! ajoutez le en argument à ce script: \n bash update_ebook.sh /$USER/Nextcloud/textes/livre_bidule"
else
    # on supprime les scripts existants
    rm $dossier/*.py
    rm $dossier/*.sh
    rm $dossier/*.css

    # on met les nouvelles versions
    cp *.py "$dossier/"
    cp *.sh "$dossier/"
    cp *.css "$dossier/"
    cp *.txt "$dossier/"
    cp README.md "$dossier/"
    cp LICENSE "$dossier/"

    if ! [ -d $dossier/.git ]; then
      cd $dossier
      git init
    fi
fi
		

echo "dossier $dossier mis à jour"
